Illumience API

GET /v2/me

Returns the profile of the authenticated customer.

Request

curl -k https://api.illumience.com:11443/v2/me \
  -H "Authorization: Bearer <api_key>"

Response 200 OK

{
  "name": "Some Company",
  "contact_fname": "Bob",
  "contact_lname": "Smith",
  "email": "bob@example.com",
  "phone": "(123) 345-7890",
  "mobile": "(234) 567-8901",
  "address1": "Some address",
  "address2": "",
  "city": "Some City",
  "province": "Some Province",
  "country": "Some Country"
}

Response Fields

FieldTypeDescription
namestringCustomer/company name
contact_fnamestringPrimary contact first name
contact_lnamestringPrimary contact last name
emailstringContact email address
phonestringContact phone number
mobilestringContact mobile number
address1stringStreet address line 1
address2stringStreet address line 2
citystringCity
provincestringProvince/state
countrystringCountry

All fields may be null if not set on the customer record.